Skip to main content
POST
/
inspiration-questions
Create an inspiration question
curl --request POST \
  --url https://app.heyoo.ai/api/inspiration-questions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "question": "<string>",
  "description": "<string>",
  "icon": "question-mark",
  "userType": "thought_leader",
  "groups": [],
  "isActive": true,
  "archived": false
}
'
{
  "id": "<string>",
  "workspaceId": "<string>",
  "question": "<string>",
  "description": "<string>",
  "icon": "bulb",
  "userType": "thought_leader",
  "groups": [
    "<string>"
  ],
  "isActive": true,
  "archived": true,
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

Default authentication mechanism

Body

application/json
question
string
required
Required string length: 10 - 170
description
string | null
Maximum string length: 5000
icon
enum<string>
default:question-mark
Available options:
bulb,
sparkles,
message,
message-circle,
pencil,
writing,
book,
bookmark,
star,
heart,
target,
rocket,
briefcase,
building,
building-skyscraper,
home,
users,
user,
users-group,
speakerphone,
send,
mail,
brand-linkedin,
link,
world,
search,
calendar,
clock,
chart-bar,
chart-line,
chart-dots,
chart-pie,
trending-up,
trophy,
award,
bolt,
flame,
sun,
moon,
cloud,
camera,
microphone,
video,
photo,
file-text,
clipboard,
check,
circle-check,
help,
question-mark
userType
enum<string>
default:thought_leader
Available options:
thought_leader,
advocate,
all
groups
string<uuid>[]
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
isActive
boolean
default:true
archived
boolean
default:false

Response

The created inspiration question

id
string
required

The unique ID of the inspiration question.

workspaceId
string
required

The workspace ID the question belongs to.

question
string
required

The text of the inspiration question.

description
string | null
required

A helpful description or tooltip for the question.

icon
enum<string>
required

The icon name for the question.

Available options:
bulb,
sparkles,
message,
message-circle,
pencil,
writing,
book,
bookmark,
star,
heart,
target,
rocket,
briefcase,
building,
building-skyscraper,
home,
users,
user,
users-group,
speakerphone,
send,
mail,
brand-linkedin,
link,
world,
search,
calendar,
clock,
chart-bar,
chart-line,
chart-dots,
chart-pie,
trending-up,
trophy,
award,
bolt,
flame,
sun,
moon,
cloud,
camera,
microphone,
video,
photo,
file-text,
clipboard,
check,
circle-check,
help,
question-mark
userType
enum<string>
required

The user type that the question applies to.

Available options:
thought_leader,
advocate,
all
groups
string[]
required

Group IDs the question is assigned to.

isActive
boolean
required

Whether the question is active.

archived
boolean
required

Whether the question is archived.

createdAt
string
required

When the question was created.

updatedAt
string
required

When the question was last updated.